Bug Hunting Session
Bug 100080 - Window don't have any content when OpenGL is enabled on AMD card
Summary: Window don't have any content when OpenGL is enabled on AMD card
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-05-27 05:47 UTC by Tomaz Vajngerl
Modified: 2016-10-25 18:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2016-05-27 05:47:18 UTC
There is no content drawn to LibreOffice windows when OpenGL is enabled. This happens on AMD cards only, Intel cards draw the content.
Comment 1 V Stuart Foote 2016-05-27 13:54:02 UTC
Hey Tomaž,

Seems odd, would you provide the AMD GPU, OS and DE details for this issue.

Thanks!
Comment 2 Commit Notification 2016-05-29 06:21:36 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fdcd13c1c2b8b9fbc3480c8fa92920d8c8d4e5a7

tdf#100080 set unused shader attribs with values, fixes GL on AMD

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Tomaz Vajngerl 2016-05-30 05:21:35 UTC
Stuart, 

this was a regression introduced with combined shaders [1]. AMD GL drivers don't like if you define an program attribute but don't enable it. It doesn't crash but the shader program simply doesn't work. I fixed this now and try to avoid a similar problem in the future. 

[1] https://cgit.freedesktop.org/libreoffice/core/commit/?id=3cac38b2311538a0aecca765eb62c30c5098a85c
Comment 4 Commit Notification 2016-05-30 09:51:08 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b13afe164f2701bf8c13d9be5b3ac2d093249e2&h=libreoffice-5-2

tdf#100080 set unused shader attribs with values, fixes GL on AMD

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2016-05-30 13:05:10 UTC
(In reply to Tomaz Vajngerl from comment #3)
> ...
> this was a regression introduced with combined shaders [1]. AMD GL drivers
> don't like if you define an program attribute but don't enable it. It
> doesn't crash but the shader program simply doesn't work.
> ...

Tomaž,

OK no worries, figured you had it under control :-) 

At any point should you need specific testing--while my daily drivers are both nVidia based--I can move over to reasonably recent AMD/ATI or Intel GPU based Windows system(s) to check.
Comment 6 Commit Notification 2016-05-30 15:04:29 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16f87e808942a88c935754c2aabef86ee379b9b7&h=libreoffice-5-1

tdf#100080 set unused shader attribs with values, fixes GL on AMD

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Tor Lillqvist 2016-06-01 08:53:41 UTC
This is fixed now.